//品种主页-全球指数

var G_MAP_WIDTH = 760 ;//地图的原始宽度
var G_MAP_HEIGHT = 394 ;//地图的原始高度
var G_MAP_TOPSPACE = 0 ; //顶部保留的宽度
var G_MAP_LEFTSPACE = 0 ;//左侧保留的宽度
var G_MAP_BOTTOMSPACE = 0 ; //底部保留的宽度
var G_MAP_RIGHTSPACE = 0 ; //右侧保留的宽度
var G_MAP_TIMEBAR_HEIGHT = 35 ; //底部时间区域的高度

//------------------------------------------------
//------	内置类 	--------------------------------
//------------------------------------------------

function CityInfo(ImgX , ImgY , LableX , LableY ,
									Line1BeginX , Line1BeginY , Line1EndX , Line1EndY , //Line1 放置横线
									Line2BeginX , Line2BeginY , Line2EndX , Line2EndY   //Line2 放置斜线
								 )
{
	this.ImgX = ImgX ;
	this.ImgY = ImgY ;
	this.LableX = LableX ;
	this.LableY = LableY ;
	this.Line1BeginX = Line1BeginX ;
	this.Line1BeginY = Line1BeginY ;
	this.Line1EndX = Line1EndX ;
	this.Line1EndY = Line1EndY ;
	this.Line2BeginX = Line2BeginX ;
	this.Line2BeginY = Line2BeginY ;
	this.Line2EndX = Line2EndX ;
	this.Line2EndY = Line2EndY ;
}

//------------------------------------------------
//------	End 内置类 	----------------------------
//------------------------------------------------
	
$(document).ready(function(){
	client_market_prepare("SH|SZ|HK|ZS", "market_valid");

	setCityPos() ;
	
	var stkList = "ZS,GSPTSE|" + //多伦多综合指数
									"ZS,DJI|" + //道琼斯工业指数
									"ZS,BVSP|" + //巴西Bovespa指数
									"ZS,FTSE|" + //伦敦富时100指数
									"ZS,AEX|" + //阿姆斯特丹指数
									"ZS,GDAXI|" + //法兰克福DAX指数
									"ZS,FCHI|" + //巴黎CAC40指数
									"SH,000001|" + //上海
									"ZS,KS11|" + //韩国KOSPI指数
									"ZS,N225|" + //日经225指数
									"SZ,399001|" + //深圳
									"HK,999999|" + //香港
									"ZS,TWII|" + //台湾加权指数
									"ZS,KLSE|" + //吉隆坡综合指数
									"ZS,JKSE|"; //雅加达综合指数
									//"ZS,SMSI" ;//马德里股市指数
	
				
  //注册数据
  client_data_dynamic_callback(stkList,"6|2|4|5",FreshIdxDataList,"[JS:STKLIST]");
  
  //刷新首次数据内容
  ReloadData();
  
  window.setInterval("ReloadData()",1000*10); //5分钟执行一次
  window.onresize = OnPageResize ;

	$('.hqzs_city img')
		.css('cursor', 'pointer')
		.click(function() {
			write_log("A0","环球指数");
			var cityID = $(this).parent().attr("id") ;
			var iPos = jQuery.inArray(cityID, alCityItemID ) ;
			if( iPos >= 0 ) {
				var fullcode = alIdxCode[iPos] ;
				client_core_gotoview("TREND", {"Comm":fullcode});
			}
		});
}) ;

function market_valid()
{
}

function OnPageResize()
{
	setCityPos() ;
}

var reloadactivated = false;
function ReloadData()
{
	reloadactivated = false;
	
  FreshIdxData("ZS,GSPTSE");//多伦多综合指数
  FreshIdxData("ZS,DJI");//道琼斯工业指数
  FreshIdxData("ZS,BVSP");//巴西Bovespa指数
  FreshIdxData("ZS,FTSE");//伦敦富时100指数
  FreshIdxData("ZS,AEX");//阿姆斯特丹指数
  FreshIdxData("ZS,GDAXI");//法兰克福DAX指数
  FreshIdxData("ZS,FCHI");//巴黎CAC40指数
  FreshIdxData("SH,000001");//上海
  FreshIdxData("ZS,KS11");//韩国KOSPI指数
  FreshIdxData("ZS,N225");//日经225指数
  FreshIdxData("SZ,399001");//深圳
  FreshIdxData("HK,999999");//香港
  FreshIdxData("ZS,TWII");//台湾加权指数
  FreshIdxData("ZS,KLSE");//吉隆坡综合指数
  FreshIdxData("ZS,JKSE");//雅加达综合指数
  //FreshIdxData("ZS,SMSI");//马德里股市指数
  
  ShowDarkDiv() ; //显示夜晚的遮罩层
}

$(window).resize(function(){
	//窗体resize之后，即会触发的事件	
	//设定各个城市的位置
	setCityPos() ;
});


//城市标签的ID(图片)
var alCityItemID = ["CityToronto" , //多伦多
										"CityNewYork" , //纽约
										"CityStPaul" ,	//圣保罗
										"CityLondon" ,	//伦敦
										"CityAmsterdam" ,	//阿姆斯特丹
										"CityFrankfurt" ,	//法兰克福
										"CityParis" ,	//巴黎
										"CityShanghai" ,	//上海
										"CitySeoul" ,	//首尔
										"CityTokyo" ,	//东京
										"CityShenzhen" ,	//深圳
										"CityHongkong" ,	//香港
										"CityTaipei" ,	//台北
										"CityKualaLumpur" ,	//吉隆坡
										"CityDjakarta" 	//雅加达
										//"CityMadrid" 	//马德里
										] ;
var alCityNameItemID = ["CityNameToronto" , //多伦多
												"CityNameNewYork" , //纽约
												"CityNameStPaul" ,	//圣保罗
												"CityNameLondon" ,	//伦敦
												"CityNameAmsterdam" ,	//阿姆斯特丹
												"CityNameFrankfurt" ,	//法兰克福
												"CityNameParis" ,	//巴黎
												"CityNameShanghai" ,	//上海
												"CityNameSeoul" ,	//首尔
												"CityNameTokyo" ,	//东京
												"CityNameShenzhen" ,	//深圳
												"CityNameHongkong" ,	//香港
												"CityNameTaipei" ,	//台北
												"CityNameKualaLumpur" ,	//吉隆坡
												"CityNameDjakarta" 	//雅加达
												//"CityNameMadrid" 	//马德里
												] ;
										
var alIdxCode = [ "ZS,GSPTSE" , //多伦多综合指数
									"ZS,DJI" , //道琼斯工业指数
									"ZS,BVSP" , //巴西Bovespa指数
									"ZS,FTSE" , //伦敦富时100指数
									"ZS,AEX" , //阿姆斯特丹指数
									"ZS,GDAXI" , //法兰克福DAX指数
									"ZS,FCHI" , //巴黎CAC40指数
									"SH,000001" , //上海
									"ZS,KS11" , //韩国KOSPI指数
									"ZS,N225" , //日经225指数
									"SZ,399001" , //深圳
									"HK,999999" , //香港
									"ZS,TWII" , //台湾加权指数
									"ZS,KLSE" , //吉隆坡综合指数
									"ZS,JKSE"  //雅加达综合指数
									//"ZS,SMSI" //马德里股市指数
						]

function setCityPos()
{
	var tmpContainer = $("#WorldMapContainer") ;
	if (tmpContainer.length == 0) return;
	if (tmpContainer == null) return;

	//先运算决定按照哪边尺寸进行

	var Body=document.compatMode!="BackCompat" ? document.documentElement: document.body;
	//根据窗体的实际尺寸，进行计算
	var iScreenWidth = Body.clientWidth ;
	var iScreenHeight = Body.clientHeight ;
	
	var iDivRealHeight = 0 ; //Div标签的实际宽度与高度
	var iDivRealWidth = 0 ;
	var iSimHeight = (G_MAP_WIDTH / iScreenWidth ) * iScreenHeight ; //按照比例模拟后的图片应该高度
	if( iSimHeight < G_MAP_HEIGHT ) //高度不够，则按照高度进行对齐
	{
		iDivRealHeight = iScreenHeight ;
		iDivRealWidth = (iDivRealHeight/G_MAP_HEIGHT) * G_MAP_WIDTH ;
	}
	else //按照宽度进行对齐
	{
		iDivRealWidth = iScreenWidth ;
		iDivRealHeight = (iDivRealWidth / G_MAP_WIDTH ) * G_MAP_HEIGHT ;
	}
	
	/*
	tmpContainer.width( iDivRealWidth ) ;
	tmpContainer.height( iDivRealHeight ) ;
	
	var iLeft = tmpContainer.css("left") ;
	var iTop = tmpContainer.css("top") ;
	var iWidth = tmpContainer.width(); 
	var iHeight = tmpContainer.height(); 
	
	if( iLeft == "auto" )
		iLeft = 0 ;
	var iTmpPos = iLeft.indexOf("px") ;
	if( iTmpPos >= 0 )
	{
		iLeft = iLeft.substring(0,iTmpPos) ;
	}
	if( iTop == "auto" )
		iTop = 0 ;
	iTmpPos = iTop.indexOf("px") ;
	if( iTmpPos >= 0 )
	{
		iTop = iTop.substring(0,iTmpPos) ;
	}
	*/
	var iLeft = (Body.clientWidth - iDivRealWidth) / 2;
	var iTop = (Body.clientHeight - iDivRealHeight) / 2;
	var iWidth = iDivRealWidth; 
	var iHeight = iDivRealHeight; 
	
	var iMapLeft = parseInt(iLeft) + parseInt(G_MAP_LEFTSPACE / G_MAP_WIDTH * iWidth) ;
	var iMapTop = iTop + parseInt(G_MAP_TOPSPACE/G_MAP_HEIGHT * iHeight) ;
	var iMapWidth = (G_MAP_WIDTH - G_MAP_LEFTSPACE - G_MAP_RIGHTSPACE ) / G_MAP_WIDTH * iWidth ;
	var iMapHeight = (G_MAP_HEIGHT - G_MAP_TOPSPACE - G_MAP_BOTTOMSPACE - G_MAP_TIMEBAR_HEIGHT ) / G_MAP_HEIGHT * iHeight ;
	
	//准备各项的位置内容，以 10000 为底
	var rlPos = new Array() ;
	var p1 ;
	// 0-多伦多
	p1 = new CityInfo( 2380 , 4100 ,   2550 , 4500 ,
										2450 ,  4100 , 2550 , 3800 ,
										2550 , 3800 , 2850 , 3800 ) ;
	rlPos.push( p1 ) ;
	//p1=new CityInfo() ... 继续添加
	
	// 纽约
	p1 = new CityInfo( 2550 , 4280 ,   2850 , 4850 ,
										2650 ,  4350 , 2750 , 4100 ,
										2750 , 4100 , 3050 , 4100 ) ;
	rlPos.push( p1 ) ;		
	
	// 圣保罗
	p1 = new CityInfo( 3330 , 8150 ,   3500 , 8500 ,
										3400 , 8100, 3500 , 7800 ,
										3500 , 7800 , 3800 , 7800 ) ;
	rlPos.push( p1 ) ;								

	// 伦敦
	p1 = new CityInfo( 4600 , 3450 ,   4150 , 3920,
										4560 , 3460, 4420 , 3220,
										4120 , 3220 , 4420 , 3220 ) ;
	rlPos.push( p1 ) ;								

	// 阿姆斯特丹
	p1 = new CityInfo( 4730 , 3375 ,   4900 , 3750,
										4800 , 3380, 4900 , 3000,
										4900 , 3000 , 5400 , 3000 ) ;
	rlPos.push( p1 ) ;
	
	// 法兰克福
	p1 = new CityInfo( 4830 , 3520 ,   5100 , 4700,
										4940 , 3770, 5100 , 3950,
										5100 , 3950 , 5500 , 3950 ) ;
	rlPos.push( p1 ) ;

	// 巴黎
	p1 = new CityInfo( 4700 , 3700 ,   4250 , 4700,
										4500 , 3950, 4700 , 3850,
										4200 , 3950 , 4500 , 3950 ) ;
	rlPos.push( p1 ) ;
	
	// 上海
	p1 = new CityInfo( 7930 , 4870 ,   7650 , 5300,
										7850 , 4550, 7960 , 4850,
										7600 , 4550 , 7850 , 4550 ) ;
	rlPos.push( p1 ) ;
	
	// 首尔
	p1 = new CityInfo( 8100 , 4450 ,   8250 , 5050,
										 8170 , 4430,  8250 , 4300,
										8250 , 4300 , 8450 , 4300 ) ;
	rlPos.push( p1 ) ;
	
	// 东京
	p1 = new CityInfo( 8460 , 4590 ,   8700 , 5650,
										 8570 , 4800,  8650 , 4900,
										8650 , 4900 , 8950 , 4900 ) ;
	rlPos.push( p1 ) ;
	
	// 深圳
	p1 = new CityInfo( 7780 , 5340 ,   7550 , 5750,
										7750 , 5000, 7800 , 5300,
										7550 , 5000 , 7750 , 5000 ) ;
	rlPos.push( p1 ) ;
	
	// 香港
	p1 = new CityInfo( 7700 , 5500 ,   7400 , 6600,
										7600 , 5900, 7700 , 5700,
										7400 , 5900 , 7600 , 5900 ) ;
	rlPos.push( p1 ) ;
	
	// 台北
	p1 = new CityInfo( 7950 , 5270 ,   8200 , 6500,
										8050 , 5500, 8200 , 5780,
										8200 , 5780 , 8400 , 5780 ) ;
	rlPos.push( p1 ) ;
	
	
	// 吉隆坡
	p1 = new CityInfo( 7380 , 6500 ,   7700 , 6950,
										7480 , 6520, 7700 , 6200,
										7700 , 6200 , 8000 , 6200 ) ;
	rlPos.push( p1 ) ;
	
	// 雅加达
	p1 = new CityInfo( 7470 , 6750 ,   7750 , 7300,
										7600 , 6800, 7750 , 6550,
										7750 , 6550 , 8050 , 6550 ) ;
	rlPos.push( p1 ) ;
	
	/*
	// 马德里
	p1 = new CityInfo( 4480 , 4280 ,   4060 , 4950,
										4360 , 4200, 4480 , 4400,
										4060 , 4200 , 4360 , 4200 ) ;
	rlPos.push( p1 ) ;
	*/
	//将最终内容合并画出	
	ClearAllDraw() ;	 //清理所有的线段
	for( var iCity=0 ; iCity<rlPos.length ; iCity++)
	{
		//调整城市Img图片位置
		$("#"+alCityItemID[iCity])
			.css( "top" , (parseInt(iMapTop) + parseInt(rlPos[iCity].ImgY / 10000 * iMapHeight)) + "px")
			.css( "left" , (parseInt(iMapLeft) + parseInt(rlPos[iCity].ImgX / 10000 * iMapWidth) ) + "px") ;
		//调整城市名字的标签
		var iLbHeight = 55;//$("#"+alCityNameItemID[iCity]).height() ;
		$("#"+alCityNameItemID[iCity])
			.css( "top" , (parseInt(iMapTop) + parseInt(rlPos[iCity].Line2EndY / 10000 * iMapHeight) - iLbHeight) + "px")
			.css( "left" , (parseInt(iMapLeft) + parseInt(rlPos[iCity].LableX / 10000 * iMapWidth )) + "px") ;
		//第一根线
		DrawLine( parseInt(iMapLeft) + parseInt(rlPos[iCity].Line1BeginX / 10000 * iMapWidth ) ,
							parseInt(iMapTop) + parseInt(rlPos[iCity].Line1BeginY / 10000 * iMapHeight ) ,
							parseInt(iMapLeft) + parseInt(rlPos[iCity].Line1EndX / 10000 * iMapWidth ) ,
							parseInt(iMapTop) + parseInt(rlPos[iCity].Line1EndY / 10000 * iMapHeight ) ) ;
		//第二根线
		DrawLine( parseInt(iMapLeft) + parseInt(rlPos[iCity].Line2BeginX / 10000 * iMapWidth ) ,
							parseInt(iMapTop) + parseInt(rlPos[iCity].Line2BeginY / 10000 * iMapHeight ) ,
							parseInt(iMapLeft) + parseInt(rlPos[iCity].Line2EndX / 10000 * iMapWidth ) ,
							parseInt(iMapTop) + parseInt(rlPos[iCity].Line2EndY / 10000 * iMapHeight ) ) ;
	}

	/*
	原先的位置调整
	
	ClearAllDraw() ;	 //清理所有的线段
	DrawLine( 233 , 250 , 133 , 100 ) ;
	
	var iDemoHeight = 492.0 ;
	var iDemoWidth = 764.0 ;
	
	
	//与顶部相对偏移的位置
	var alTopRelativePos = [176/iDemoHeight , //多伦多
													206/iDemoHeight , //纽约
													348/iDemoHeight , //圣保罗
													146/iDemoHeight , //伦敦
													160/iDemoHeight , //阿姆斯特丹
													152/iDemoHeight , //法兰克福
													166/iDemoHeight , //巴黎
													214/iDemoHeight , //上海
													193/iDemoHeight , //首尔
													202/iDemoHeight , //东京
													226/iDemoHeight , //深圳
													240/iDemoHeight , //香港
													237/iDemoHeight , //台北
													285/iDemoHeight , //吉隆坡
													304/iDemoHeight , //雅加达
													198/iDemoHeight  //马德里
													] ;
	//左相对偏移
	var alLeftRelativePos = [196/iDemoWidth , //多伦多
														194/iDemoWidth , //纽约
														252/iDemoWidth , //圣保罗
														344/iDemoWidth , //伦敦
														353/iDemoWidth , //阿姆斯特丹
														362/iDemoWidth , //法兰克福
														329/iDemoWidth , //巴黎
														565/iDemoWidth , //上海
														593/iDemoWidth , //首尔
														618/iDemoWidth , //东京
														566/iDemoWidth , //深圳
														544/iDemoWidth , //香港
														581/iDemoWidth , //台北
														545/iDemoWidth , //吉隆坡
														555/iDemoWidth , //雅加达
														338/iDemoWidth  //马德里
														] ;

	for( var i=0 ; i<alCityItemID.length ; i++ )
	{
		$("#"+alCityItemID[i])
			.css( "top" , (parseInt(alTopRelativePos[i]*iHeight)+parseInt(iTop))+"px")
			.css( "left" , (parseInt(alLeftRelativePos[i]*iWidth)+parseInt(iLeft))+"px") ;
	}
	//*/
	
	//底部时区的位置调整
	var iTimeSpanTop = parseInt(iTop) + parseInt( (G_MAP_HEIGHT - G_MAP_BOTTOMSPACE - G_MAP_TIMEBAR_HEIGHT)/G_MAP_HEIGHT * iHeight ) ;
	var iTimeSpanHeight = G_MAP_TIMEBAR_HEIGHT / G_MAP_HEIGHT * iHeight ;
	var iTimeSpanLeft = parseInt(iLeft) + parseInt(G_MAP_LEFTSPACE / G_MAP_WIDTH * iWidth) ;
	var iTimeSpanBarWidth = (G_MAP_WIDTH - G_MAP_LEFTSPACE - G_MAP_RIGHTSPACE ) / G_MAP_WIDTH * iWidth / 24 ;
	var iTimeSpanPadTop = (iTimeSpanHeight - 16) / 2 ;
	if( iTimeSpanPadTop <=0 )
		iTimeSpanPadTop = 0 ;
	
	for( var i=0 ; i<24 ; i++ )
	{
		$("#Time"+i)
			.css( "top" , iTimeSpanTop + "px" ) 
			.css( "left" , (parseInt(iTimeSpanLeft) + parseInt(i*iTimeSpanBarWidth)) + "px" )
			.css( "padding-top" , iTimeSpanPadTop + "px" ) 
			.width( iTimeSpanBarWidth ) 
			.height( iTimeSpanHeight ) ;
	}

	//左下提示块的位置	
	var hintHeight = $("#DescriptHintDiv").height() ;
	
	$("#DescriptHintDiv")
		.css( "top" , ( parseInt(iTimeSpanTop) - parseInt(hintHeight) - 8 ) + "px")
		.css( "left" , (parseInt(iTimeSpanLeft))+"px") ;
	
	ShowDarkDiv() ; //显示夜晚的遮罩层
	
}

function FreshIdxDataList(stkList)
{
	if( stkList == null || stkList.length == 0 ) return ;
	var lsData = stkList.split("|") ;

	for( var i=0 ; i<lsData.length ; i++ )
	{
		FreshIdxData(lsData[i]) ;
	}
}

//刷新一项指数的数据
function FreshIdxData(fullcode)
{
	var iCityPos = jQuery.inArray(fullcode, alIdxCode ) ;
	if( iCityPos < 0 ) return;		//不相关的指数代码

	var stkData = client_stock_data_fullcode(fullcode , "1|11", "name|updown" ) ; //商品名称|涨跌幅度
	if (stkData == null || stkData.length == 0) return;

	var bIsClose = true ; //是否盘后
	var alOpenTime  = client_stock_timeperiod_fullcode(fullcode) ;
	var curTime = new Date() ;
	var curTimeVal = curTime.getHours() * 100 + curTime.getMinutes() ;
	for( var pp = 0 ; alOpenTime != null && pp<alOpenTime.length ; pp++ )
	{
		if( alOpenTime[pp].BeginTime < alOpenTime[pp].EndTime ) //不跨天
		{
			if( curTimeVal >= alOpenTime[pp].BeginTime && curTimeVal <= alOpenTime[pp].EndTime )
			{
				bIsClose = false ;
				break ;
			}
		}
		else //跨天
		{
			if( curTimeVal
			 >= alOpenTime[pp].BeginTime || curTimeVal <= alOpenTime[pp].EndTime )
			{
				bIsClose = false ;
				break ;
			}
		}//else
	}//for
	
	var rdRate = parseFloat(stkData[0]["updown"]) ;
	var cityimg = $("#"+alCityItemID[iCityPos]).find("img");
	if (cityimg.length == 0) {
		cityimg = $('iframe').contents().find("#"+alCityItemID[iCityPos]).find("img");
	}

	if( rdRate == NaN ) //数据无效,变更为普通的收市价
	{
		cityimg.attr("src" , "img/GIndex_Close.gif" ) ;
		return ;
	}
	else if( rdRate >= 2 )
	{
		if( bIsClose )
			cityimg.attr("src" , "img/GIndex_RaiseHi_Close.gif" ) ;
		else
			cityimg.attr("src" , "img/GIndex_RaiseHigh.gif" ) ;
	}
	else if( rdRate < 2 && rdRate >= 0 )
	{
		if( bIsClose )
			cityimg.attr("src" , "img/GIndex_RaiseLow_Close.gif" ) ;
		else
			cityimg.attr("src" , "img/GIndex_RaiseLow.gif" ) ;
	}
	else if( rdRate < 0 && rdRate >= -2 )
	{
		if( bIsClose )
			cityimg.attr("src" , "img/GIndex_DownLow_Close.gif" ) ;
		else
			cityimg.attr("src" , "img/GIndex_DownLow.gif" ) ;
	}
	else if( rdRate < -2 )
	{
		if( bIsClose )
			cityimg.attr("src" , "img/GIndex_DownHigh_Close.gif" ) ;
		else
			cityimg.attr("src" , "img/GIndex_DownHigh.gif" ) ;
	}
}

function showhint(obj)
{
	var cityID = $(obj).parent().attr("id") ;

	var iPos = jQuery.inArray(cityID, alCityItemID ) ;
	if( iPos < 0 )
	{
		$("#OneMarketInfoHint").hide() ;
		return ;
	}
	var fullcode = alIdxCode[iPos] ;
	FreshIdxData(fullcode);
	
	var stkData = client_stock_data_fullcode(fullcode, "1|6|11|4|5|2", "name|price|updown|max|min|prevprice") ; // 商品名称|最新价|涨跌幅度|最高|最低|昨收
	if (stkData == null || stkData.length == 0)
	{
		$("#OneMarketInfoHint").hide() ;
		return ;
	}

	$("#hintStkCode").text(fullcode) ;
	$("#hintStkName").text(stkData[0]["name"]) ;
	$("#hintStkNewData").text( stkData[0]["price"] ) ;
	$("#hintStkRDRate").text( stkData[0]["updown"] + "%" ) ;
	$("#hintStkHigh").text( stkData[0]["max"] ) ;
	$("#hintStkLow").text( stkData[0]["min"] ) ;
	$("#hintStkClose").text( stkData[0]["prevprice"] ) ;
	
	$("#hintStkNewData").removeClass("dataraise datadown") ;
	$("#hintStkRDRate").removeClass("dataraise datadown") ;
	$("#hintStkHigh").removeClass("dataraise datadown") ;
	$("#hintStkLow").removeClass("dataraise datadown") ;
	
	if( parseFloat(stkData[0]["updown"]) >0 ) //上涨
	{
		$("#hintStkNewData").addClass("dataraise") ;
		$("#hintStkRDRate").addClass("dataraise") ;
	}
	else if( parseFloat(stkData[0]["updown"]) <0 ) //下跌
	{
		$("#hintStkNewData").addClass("datadown") ;
		$("#hintStkRDRate").addClass("datadown") ;
	}
	
	var tmpHigh = parseFloat(stkData[0]["max"]) ;
	var tmpLow = parseFloat(stkData[0]["min"]) ;
	var tmpClose = parseFloat(stkData[0]["prevprice"]) ;
	//最高价的颜色
	if( tmpHigh != NaN && tmpClose != NaN )
	{
		if( tmpHigh > tmpClose )
			$("#hintStkHigh").addClass("dataraise") ;
		else
			$("#hintStkHigh").addClass("datadown") ;
	}
	if( tmpLow != NaN && tmpClose != NaN )
	{
		if( tmpLow > tmpClose )
			$("#hintStkLow").addClass("dataraise") ;
		else
			$("#hintStkLow").addClass("datadown") ;
	}
	
	
	//设置位置
	var MouseX=event.clientX;
 	var MouseY=event.clientY;
 	var iWidth = $("#OneMarketInfoHint").width(); 
	var iHeight = $("#OneMarketInfoHint").height(); 
	var Body=document.compatMode!="BackCompat" ? document.documentElement: document.body;
	var pltsoffsetX = 12; 
	var pltsoffsetY = 15; 
	var popTopAdjust = 0 ;
	var popLeftAdjust = 0 ;
	
	if(MouseY+pltsoffsetY+iHeight>Body.clientHeight)
	 {
	 		popTopAdjust=-iHeight-pltsoffsetY*1.5;
	 }
	 else
	 {
	 		popTopAdjust=0;
	 }
	 if((MouseX+pltsoffsetX+iWidth + 10)>Body.clientWidth)
	 {
	 		popLeftAdjust=-iWidth-pltsoffsetX*2;
	 }
	 else
	 {
			popLeftAdjust=0;
	 }
	 
 $("#OneMarketInfoHint")
			.css( "left" , (parseInt(MouseX+pltsoffsetX+Body.scrollLeft+popLeftAdjust))+"px")
			.css( "top" , (parseInt(MouseY+pltsoffsetY+Body.scrollTop+popTopAdjust))+"px") ;
	
	$("#OneMarketInfoHint").attr("CityName" , cityID ) ;
	$("#OneMarketInfoHint").show() ;
	
	
}

function hidehint(obj) 
{
	var lastShowID = $("#OneMarketInfoHint").attr("CityName") ;
	var hideID = $(obj).parent().attr("id") ;
	//隐藏标签
	if( hideID == lastShowID )
	{
		$("#OneMarketInfoHint").hide() ;
	}
}


//显示夜晚的遮罩层
function ShowDarkDiv()
{
	//目前已取消
	return ;
	
	
	var tmpContainer = $("#WorldMapContainer") ;
	var iLeft = tmpContainer.css("left") ;
	var iTop = tmpContainer.css("top") ;
	var iWidth = tmpContainer.width();
	var iHeight = tmpContainer.height();
	if( iLeft == "auto" )
		iLeft = 0 ;
	var iTmpPos = iLeft.indexOf("px") ;
	if( iTmpPos >= 0 )
	{
		iLeft = iLeft.substring(0,iTmpPos) ;
	}
	if( iTop == "auto" )
		iTop = 0 ;
	iTmpPos = iTop.indexOf("px") ;
	if( iTmpPos >= 0 )
	{
		iTop = iTop.substring(0,iTmpPos) ;
	}
	
	var iLeftSpace = (G_MAP_LEFTSPACE / G_MAP_WIDTH ) * iWidth ;
	var iRightSpace = (G_MAP_RIGHTSPACE / G_MAP_WIDTH ) * iWidth ;
	var iTopSpace = ( G_MAP_TOPSPACE / G_MAP_HEIGHT ) * iHeight ;
	var iBottomSpace = (G_MAP_BOTTOMSPACE / G_MAP_HEIGHT) * iHeight ;
	
	iWidth = iWidth - iLeftSpace-iRightSpace; 
	iHeight = iHeight -iTopSpace-iBottomSpace; 
	
	
	iLeft = parseInt(iLeft)+ parseInt(iLeftSpace) ;
	iTop = parseInt(iTop) + parseInt(iTopSpace) ;
	

	
	var darkLeft = $("#DarkNightDivLeft") ;
	var darkRight = $("#DarkNightDivRight") ;
	
	darkLeft.css("top" , iTop + "px");
	darkRight.css("top" ,iTop + "px");
	darkLeft.height( iHeight ) ;
	darkRight.height( iHeight ) ;
	
	//计算现在的白天时间段
	var curTime = new Date() ;
	
	var iCurMinInt = curTime.getUTCHours() * 60 + curTime.getUTCMinutes() ;
	var iTotalMinInt = 60 * 24 ;
	
	var iDayBarBeginPos = -1 * iCurMinInt / 60 + 17 ; //按照6点作为太阳升起的时间
	var iDayBarEndPos = iDayBarBeginPos + 12 ; //白天按照12个小时计算
	
	
	
	if( iDayBarBeginPos >= 24 )
	{
		iDayBarBeginPos -= 24 ;
		iDayBarEndPos -= 24 ;
	}
	else if( iDayBarBeginPos < 0 )
	{
		iDayBarBeginPos += 24 ;
		iDayBarEndPos += 24 ;
	}

	
	
	var iLeftBeginPos = iLeft ;
	var iLeftDarkWidth = 0 ;
	var iRightDarkWidth = 0 ;
	
	if( iDayBarEndPos >= 24 ) //黑暗是合并到一起的
	{
		iLeftDarkWidth = iWidth / 2 ;
		iLeftBeginPos +=  (iDayBarEndPos - 24 ) * (iWidth / 24 ) ;
	}
	else //分开两段的黑暗
	{
		iLeftDarkWidth = iDayBarBeginPos * ( iWidth / 24 ) ;
		iRightDarkWidth = ( 24 - iDayBarEndPos ) * ( iWidth / 24 ) ;
	}
	if( iLeftDarkWidth > 0 )
	{
		darkLeft.css("left" , iLeftBeginPos  + "px")
						.width( iLeftDarkWidth );
	}
	if( iRightDarkWidth >0 )
	{
		darkRight.css("left" , (parseInt(iLeft) + parseInt(iWidth) - parseInt(iRightDarkWidth)) +  "px")
						 .width( iRightDarkWidth ) ;
		
	}
}

//------------------------------------
//---			有关 vml 绘图的内容  -------
//------------------------------------

//绘制一条线段
function DrawLine(BeginX , BeginY , EndX , EndY)
{
	//<v:line strokecolor="black" strokeweight="1px" style="z-index:5;position:absolute;left:233px;top:150px" from="0,0" to="200,200"/>
	var lineStr = '<v:line qlname="selfdraw" strokecolor="black" strokeweight="1px" style="z-index:5;position:absolute;left:'+BeginX+'px;top:'+BeginY+'px" from="0,0" to="'+parseInt(EndX-BeginX)+','+parseInt(EndY-BeginY)+'"/>' ;
	var tempLine = document.createElement(lineStr) ;
	document.getElementById("WorldMapContainer").appendChild(tempLine);
}

//清理删除所有的绘图内容
function ClearAllDraw()
{
	$("[qlname='selfdraw']").remove() ;
}